/*
 * Aipo is a groupware program developed by Aimluck,Inc.
 * Copyright (C) 2004-2008 Aimluck,Inc.
 * http://aipostyle.com/
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package com.aimluck.eip.mclient;

import com.aimluck.commons.field.ALNumberField;
import com.aimluck.commons.field.ALStringField;
import com.aimluck.eip.common.ALData;

public class MClientResultData implements ALData {
  /** 顧客ID */
  private ALNumberField client_id;

  /** 顧客名 */
  private ALStringField client_name;

  /**
   * 顧客略称
   */
  private ALStringField client_names;

  /** 有効/無効 */
  private ALStringField disabled;

  /** 担当ユーザID */
  private ALNumberField user_id;

  /** 請求先コード */
  private ALNumberField demand_client_id;

  /** 支払月 */
  private ALNumberField pay_date;

  /** 支払日 */
  private ALNumberField pay_day;

  /** 支払区分 */
  private ALStringField pay_class;

  /** 支払締日 */
  private ALNumberField pay_deadline;

  /** 入金予定月 */
  private ALNumberField receipt_date;

  /** 入金予定日 */
  private ALNumberField receipt_day;

  /** 入金区分 */
  private ALStringField receipt_class;

  /** 入金締日 */
  private ALNumberField receipt_deadline;

  /** 作成者ＩＤ */
  private ALNumberField create_user_id;

  /** 更新者ＩＤ */
  private ALNumberField update_user_id;

  /** 作成日 */
  private ALStringField create_date;

  /** 更新日 */
  private ALStringField update_date;

  /** 担当ユーザ */
  private ALStringField login_name;

  /** 請求先名 */
  private ALStringField demand_client_name;

  /**
   * 
   * @see com.aimluck.eip.common.ALData#initField()
   */
  public void initField() {
    client_id = new ALNumberField();
    client_name = new ALStringField();
    client_names = new ALStringField();
    user_id = new ALNumberField();
    demand_client_id = new ALNumberField();
    pay_date = new ALNumberField();
    pay_day = new ALNumberField();
    pay_class = new ALStringField();
    pay_deadline = new ALNumberField();
    receipt_day = new ALNumberField();
    receipt_class = new ALStringField();
    receipt_date = new ALNumberField();
    receipt_deadline = new ALNumberField();
    disabled = new ALStringField();
    create_user_id = new ALNumberField();
    update_user_id = new ALNumberField();
    create_date = new ALStringField();
    update_date = new ALStringField();
    login_name = new ALStringField();
    demand_client_name = new ALStringField();
  }

  public void setUserId(int i) {
    user_id.setValue(i);
  }

  /**
   * @return
   */
  public ALNumberField getClientId() {
    return client_id;
  }

  /**
   * @return
   */
  public ALStringField getClientName() {
    return client_name;
  }

  /**
   * @return
   */
  public ALStringField getClientNames() {
    return client_names;
  }

  /**
   * @return
   */
  public ALNumberField getUserId() {
    return user_id;
  }

  /**
   * @return
   */
  public ALNumberField getDemandClientId() {
    return demand_client_id;
  }

  /**
   * @return
   */
  public ALNumberField getPayDate() {
    return pay_date;
  }

  /**
   * @return
   */
  public ALNumberField getPayDay() {
    return pay_day;
  }

  /**
   * @return
   */
  public ALStringField getPayClass() {
    return pay_class;
  }

  /**
   * @return
   */
  public ALNumberField getPayDeadline() {
    return pay_deadline;
  }

  /**
   * @return
   */
  public ALNumberField getReceiptDay() {
    return receipt_day;
  }

  /**
   * @return
   */
  public ALStringField getReceiptClass() {
    return receipt_class;
  }

  /**
   * @return
   */
  public ALNumberField getReceiptDate() {
    return receipt_date;
  }

  /**
   * @return
   */
  public ALNumberField getReceiptDeadline() {
    return receipt_deadline;
  }

  /**
   * @return
   */
  public ALStringField getDisabled() {
    return disabled;
  }

  /**
   * @return
   */
  public ALNumberField getCreateUserId() {
    return create_user_id;
  }

  /**
   * @return
   */
  public ALNumberField getUpdateUserId() {
    return update_user_id;
  }

  /**
   * @return
   */
  public ALStringField getCreateDate() {
    return create_date;
  }

  /**
   * @return
   */
  public ALStringField getUpdateDate() {
    return update_date;
  }

  /**
   * @param id
   */
  public void setClientId(Integer id) {
    client_id.setValue(id);
  }

  /**
   * @param string
   */
  public void setClientName(String string) {
    client_name.setValue(string);
  }

  /**
   * @param string
   */
  public void setClientNames(String string) {
    client_names.setValue(string);
  }

  /**
   * @param dcid
   */
  public void setDemandClientId(int dcid) {
    demand_client_id.setValue(dcid);
  }

  /**
   * @param pdate
   */
  public void setpaydate(int pdate) {
    pay_date.setValue(pdate);
  }

  /**
   * @param pday
   */
  public void setPayDay(int pday) {
    pay_day.setValue(pday);
  }

  /**
   * @param string
   */
  public void setPayClass(String string) {
    pay_class.setValue(string);
  }

  /**
   * @param pdeadline
   */
  public void setPayDeadline(int pdeadline) {
    pay_deadline.setValue(pdeadline);
  }

  /**
   * @param rdate
   */
  public void setReceiptDate(int rdate) {
    receipt_date.setValue(rdate);
  }

  /**
   * @param string
   */
  public void setReceiptClass(String string) {
    receipt_class.setValue(string);
  }

  /**
   * @param rdeadline
   */
  public void setReceiptDeadline(int rdeadline) {
    receipt_deadline.setValue(rdeadline);
  }

  /**
   * @param string
   */
  public void setDisabled(String string) {
    disabled.setValue(string);
  }

  /**
   * @param string
   */
  public void setReceiptDay(int rday) {
    receipt_day.setValue(rday);
  }

  /**
   * @param cuid
   */
  public void setCreateUserId(int cuid) {
    create_user_id.setValue(cuid);
  }

  /**
   * @param uuid
   */
  public void setUpdateUserId(int uuid) {
    update_user_id.setValue(uuid);
  }

  /**
   * @param string
   */
  public void setCreateTate(String string) {
    create_date.setValue(string);
  }

  /**
   * @param string
   */
  public void setUpdateDate(String string) {
    update_date.setValue(string);
  }

  /**
   * @return
   */
  public ALStringField getLoginName() {
    return login_name;
  }

  /**
   * @param string
   */
  public void setLoginName(String string) {
    login_name.setValue(string);
  }

  /**
   * @return
   */
  public ALStringField getDemandClientName() {
    return demand_client_name;
  }

  /**
   * @param string
   */
  public void setDemandClientName(String string) {
    demand_client_name.setValue(string);
  }
}
